function T60_band = calc_T60(ir)

fs = 44100;

ir1f = oktavbandfilter(ir,2);
ir2f = oktavbandfilter(ir,3);
ir3f = oktavbandfilter(ir,4);
ir4f = oktavbandfilter(ir,5);
ir5f = oktavbandfilter(ir,6);
ir6f = oktavbandfilter(ir,7);
ir7f = oktavbandfilter(ir,8);

L1 = backint(ir1f.^2);
L2 = backint(ir2f.^2);
L3 = backint(ir3f.^2);
L4 = backint(ir4f.^2);
L5 = backint(ir5f.^2);
L6 = backint(ir6f.^2);
L7 = backint(ir7f.^2);

[T60_1,r2T60] = calT60auto(L1,fs,-5,-25); % 125Hz bndet regner 3*T20, som beskrevet
[T60_2,r2T60] = calT60auto(L2,fs,-5,-35); % 250Hz bndet og oppover bruker 2*T30
[T60_3,r2T60] = calT60auto(L3,fs,-5,-35);
[T60_4,r2T60] = calT60auto(L4,fs,-5,-35);
[T60_5,r2T60] = calT60auto(L5,fs,-5,-35);
[T60_6,r2T60] = calT60auto(L6,fs,-5,-35);
[T60_7,r2T60] = calT60auto(L7,fs,-5,-35);

T60_band = [T60_1, T60_2, T60_3, T60_4, T60_5, T60_6, T60_7];

end

