function kuttet_fil = sync_start(fila)
% gir impulsene samme maks sample
%
% konvolusjon mellom to impulsresponser med forskjellig start gitt ved:
% 
% konvolusjon = conv(sync_start(fil_a), sync_start(fil_b));

peakval = max(abs(fila));               % finner maks, setter start_nr til frste 
peaksample = find(abs(fila)==peakval);  % sample med verdi under 0.0005 bak maks

start_nr = peaksample - 20;

kuttet_fil = fila(start_nr : (length(fila) - (start_nr +1) ));
lengde = length(kuttet_fil);
ekstra_lengde = 200000 - lengde;
kuttet_fil = [kuttet_fil; zeros(ekstra_lengde,1)]; %gir filene samme lengde
end
