function bandvalues = calc_bandmean(ir)

K = 8;
Fs = 44100;
NFFT = 44100*K;

fc = 125;
fupper = fc * 2^0.5;
flower = fc * 2^-0.5;
bandvalues = zeros(1,7);

f = Fs/2*linspace(0,1,NFFT/2+1);
Y = abs(fft(ir,NFFT));
Z = Y(1:NFFT/2+1);

tabell = [f', Z];

n = 1;
b = 0;

for x = 1:length(Y) 
    g = tabell(x,1);
    
    if flower <= g && g <= fupper
        b = b + 1;
        band(b) = tabell(x,2);
    end
    
    if g >= fupper
        bandvalues(n) = 10 * log10(mean(band));  % 10*log10(mean(10.^(band/10))) % for dB
       
        n = n + 1;
        band = [];
        fc = 125 * 2^(n-1);
        fupper = fc * 2^0.5;
        flower = fc * 2^-0.5;
        b = 0;
       
         if n == 8
           break
        end      
    end   
end

end


